﻿Type=Class
Version=2.71
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private NoTransFound As String
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	NoTransFound = "aha"' GetResourceString("NoTranslationFound")
End Sub
Sub GetResourceString(Key As String) As String
    Dim r As Reflector
    Dim package As String
    Dim id As Int
  	
		package = r.GetStaticField("anywheresoftware.b4a.BA", "packageName")
    Try
	id = r.GetStaticField(package & ".R$string", Key)
	Catch
			ToastMessageShow (NoTransFound & Key,True)
		Return NoTransFound
	
	End Try
	
	
    	r.Target = r.GetContext
    	r.Target = r.RunMethod("getResources")
    
	Return r.RunMethod2("getText", id, "java.lang.int")
'    Catch 
'		ToastMessageShow (NoTransFound & Key,True)
'		Return NoTransFound
'	End Try
End Sub
Sub GetResourceString2(Key As String, Params As List) As String
   	Dim r As Reflector
    Dim package As String
    Dim id As Int
    package = r.GetStaticField("anywheresoftware.b4a.BA", "packageName")
    id = r.GetStaticField(package & ".R$string", Key)
    r.Target = r.GetContext
    r.Target = r.RunMethod("getResources")
   
	Dim tmpText As String 
	
	tmpText = r.RunMethod2("getText", id, "java.lang.int")

   
	If Params.Size > 0 Then
	
	For i = 0 To Params.Size - 1
		tmpText = tmpText.Replace ("{" & (i+1) & "}",Params.Get(i))
	Next
	
	End If
	Return tmpText
End Sub
Sub GetDefaultLanguage As String
    'Returns the Short one, eg "en" for english, "de" for german,...
	Dim Sprache As String 
	Dim r As Reflector
    r.Target = r.RunStaticMethod("java.util.Locale", "getDefault", Null, Null)
    Sprache = r.RunMethod("getLanguage")
	Return Sprache.ToUpperCase
End Sub
Sub GetDefaultCurrency As String
	Try
		Dim r As Reflector
		Dim args(1) As Object
		args(0) = r.RunStaticMethod("java.util.Locale", "getDefault", Null, Null)
		Dim Types(1) As String
		Types(0) = "java.util.Locale"	
		r.Target = r.RunStaticMethod("java.util.Currency", "getInstance", args  , Types)
		Return r.RunMethod("getSymbol")
	Catch
		Return "$"
	End Try
End Sub
Sub GetDeviceDateFormatSettings As String
    Dim r As Reflector
    r.Target = r.RunStaticMethod("android.text.format.DateFormat", "getDateFormat", Array As Object(r.GetContext), _
        Array As String("android.content.Context"))
    Return r.RunMethod("toPattern")
End Sub
Sub GetDeviceTimeFormatSettings As String
    Dim r As Reflector
    r.Target = r.RunStaticMethod("android.text.format.TimeFormat", "getTimeFormat", Array As Object(r.GetContext), _
        Array As String("android.content.Context"))
    Return r.RunMethod("toPattern")
End Sub